# Update GroupPlanYear

Updates a specific GroupPlanYear.

Endpoint: PUT /groups/{groupID}/divisions/{divisionID}/plan-years/{planYear}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `groupID` (string, required)
    Group ID

  - `divisionID` (string, required)
    Division ID

  - `planYear` (string, required)
    Plan Year

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `group_ID` (string, required)
    References GroupDivision.Group_ID value on the parent record.

  - `division_ID` (string, required)
    References GroupDivision.Division_ID value on the parent record.

  - `plan_Year` (string, required)
    User defined Plan Year value for this accumulator period. Should denote the values in From_Date and Thru_Date. Example: Plan Year "CY2009" would be 1/1/2009 - 12/31/2009.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `ex_Code` (string)
    If an Ex_Code should be applied when a claim is identified for carry over, place that here.

  - `from_Date` (string)
    The date range for this Plan Year.

  - `plan_Type` (string)
    If this Plan Year is specific to a Plan Type, you would denote that here. Normally no value is set for standard accumulation.

  - `qtr4_Accum` (boolean, required)
    Indicates if this Plan Year has 4th quarter carry-over. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `qtr4_Benefit_Code` (string)
    When accumulators are carried over they are bucketed into a single Benefit Code (typically a shell Benefit Code to catch the carry-over dollars).

  - `qtr4_Deductible` (boolean, required)
    Indicates if carry-over applies to Deductible. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `qtr4_From_Date` (string)
    If this Plan Year has 4th quarter carrry-over, this would indiate the dates, inside From_Date and Thru_Date, that signify the 4th quarter carry-over period.

  - `qtr4_Member` (boolean, required)
    Indicates if the carry-over applies to Member level accumulators. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `qtr4_Out_Of_Pocket` (boolean, required)
    Indicates if carry-over applies to Out of Pocket. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `qtr4_Out_Of_Pocket_Type` (string)
    If Out of Pocket carry-over is flagged, this identifies what constitutes Out of Pocket (Deductible, Co-Ins, Co-Pay).

  - `qtr4_PlanYear` (string)
    Indicates which Plan Year these carry-over accumulators will carry over to (typically a plan year on the other side of the carry-over period).

  - `qtr4_Subscriber` (boolean, required)
    Indicates if the carry-over applies to the entire Family for accumulators. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `qtr4_Thru_Date` (string)
    If this Plan Year has 4th quarter carrry-over, this would indiate the dates, inside From_Date and Thru_Date, that signify the 4th quarter carry-over period.

  - `thru_Date` (string)
    The date range for this Plan Year.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.group_ID` (string, required)
    References GroupDivision.Group_ID value on the parent record.

  - `data.division_ID` (string, required)
    References GroupDivision.Division_ID value on the parent record.

  - `data.plan_Year` (string, required)
    User defined Plan Year value for this accumulator period. Should denote the values in From_Date and Thru_Date. Example: Plan Year "CY2009" would be 1/1/2009 - 12/31/2009.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.ex_Code` (string)
    If an Ex_Code should be applied when a claim is identified for carry over, place that here.

  - `data.from_Date` (string)
    The date range for this Plan Year.

  - `data.plan_Type` (string)
    If this Plan Year is specific to a Plan Type, you would denote that here. Normally no value is set for standard accumulation.

  - `data.qtr4_Accum` (boolean, required)
    Indicates if this Plan Year has 4th quarter carry-over. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.qtr4_Benefit_Code` (string)
    When accumulators are carried over they are bucketed into a single Benefit Code (typically a shell Benefit Code to catch the carry-over dollars).

  - `data.qtr4_Deductible` (boolean, required)
    Indicates if carry-over applies to Deductible. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.qtr4_From_Date` (string)
    If this Plan Year has 4th quarter carrry-over, this would indiate the dates, inside From_Date and Thru_Date, that signify the 4th quarter carry-over period.

  - `data.qtr4_Member` (boolean, required)
    Indicates if the carry-over applies to Member level accumulators. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.qtr4_Out_Of_Pocket` (boolean, required)
    Indicates if carry-over applies to Out of Pocket. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.qtr4_Out_Of_Pocket_Type` (string)
    If Out of Pocket carry-over is flagged, this identifies what constitutes Out of Pocket (Deductible, Co-Ins, Co-Pay).

  - `data.qtr4_PlanYear` (string)
    Indicates which Plan Year these carry-over accumulators will carry over to (typically a plan year on the other side of the carry-over period).

  - `data.qtr4_Subscriber` (boolean, required)
    Indicates if the carry-over applies to the entire Family for accumulators. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.qtr4_Thru_Date` (string)
    If this Plan Year has 4th quarter carrry-over, this would indiate the dates, inside From_Date and Thru_Date, that signify the 4th quarter carry-over period.

  - `data.thru_Date` (string)
    The date range for this Plan Year.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

